
// ****************************************************************
// Shader file - by Kiltron for "Deviant"
// Original Textures by - Kiltron
// Alpha Channels and Shader Textures by - Kiltron
// Date: 4/29/00
// ****************************************************************

// ***************************************
// CTF Texture Effects
// ***************************************

textures/madm11/concrete_dark_trimb2
{
	q3map_surfacelight 0000
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/madm11/concrete_dark_trimb2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/madm11/glow_fx_blue.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/madm11/concrete_dark_trimr2
{
	q3map_surfacelight 0000
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/madm11/concrete_dark_trimr2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/madm11/glow_fx_red.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/madm11/xian_kilt_dm3padwall_blue
	{
	q3map_surfacelight 100
	q3map_lightimage textures/madm11/xian_kilt_dm3padwallglow_blue.tga
	qer_editorimage textures/madm11/xian_kilt_dm3padwall_blue.tga
	
	{
		map textures/madm11/xian_kilt_dm3padwall_blue.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}


	{
		map textures/madm11/xian_kilt_dm3padwallglow_blue.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
	
}

textures/madm11/xian_kilt_dm3padwall_red
	{
	q3map_surfacelight 100
	q3map_lightimage textures/madm11/xian_kilt_dm3padwallglow_red.tga
	qer_editorimage textures/madm11/xian_kilt_dm3padwall_red.tga
	
	{
		map textures/madm11/xian_kilt_dm3padwall_red.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}


	{
		map textures/madm11/xian_kilt_dm3padwallglow_red.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
	
}

textures/madm11/concrete_dark_bounce_blue
{
	surfaceparm nodamage
	q3map_surfacelight 400

	
	{
		map textures/madm11/concrete_dark_bounce_blue.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/madm11/bouncepad01b_layer_blue.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/madm11/jumppadsmall_blue.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

// ***************************************
// All trim/flowing effects
// ***************************************

textures/madm11/concrete_dark_pulse_blue
{
	q3map_surfacelight 300
	q3map_lightimage textures/madm11/concrete_dark_pulseblue_fx.tga
	qer_editorimage textures/madm11/concrete_dark_pulse_blue.tga
	
	{
		map textures/madm11/concrete_dark_pulse_blue.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/madm11/concrete_dark_pulseblue_fx.tga
		blendfunc gl_one gl_one
//		tcmod scale .01 1
		tcmod scale .035 1
//		tcmod scroll -0.5 0	
               	tcmod scroll -0.65 0


	}

	
}

textures/madm11/pitchshifter3
{
	q3map_surfacelight 300
	q3map_lightimage textures/madm11/pitchshifter3_base_fx.tga
	qer_editorimage textures/madm11/pitchshifter3.tga
	
	{
		map textures/madm11/pitchshifter3.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/madm11/pitchshifter3_base_fx.tga
		blendfunc gl_one gl_one
//		tcmod scale .01 1
		tcmod scale .035 1
//		tcmod scroll -0.5 0
		tcmod scroll -0.65 0


	}

	
}

textures/madm11/concrete_dark_pulse_red
{
	q3map_surfacelight 300
	q3map_lightimage textures/madm11/concrete_dark_pulsered_fx.tga
	qer_editorimage textures/madm11/concrete_dark_pulse_red.tga
	
	{
		map textures/madm11/concrete_dark_pulse_red.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/madm11/concrete_dark_pulsered_fx.tga
		blendfunc gl_one gl_one
//		tcmod scale .01 1
		tcmod scale .035 1
//		tcmod scroll -0.5 0
		tcmod scroll -0.65 0


	}

	
}

textures/madm11/concrete_dark_bounce_red
{
	surfaceparm nodamage
	q3map_surfacelight 400

	
	{
		map textures/madm11/concrete_dark_bounce_red.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/madm11/bouncepad01b_layer_red.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/madm11/jumppadsmall_red.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

	//	END
}

// ***************************************
// Pitchshifter Billboard Effects
// ***************************************

textures/madm11/pitchshifter
{
	qer_editorimage textures/madm11/pitchshifter.tga
	q3map_lightimage textures/madm11/pitchshifter.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/madm11/pitchshifter.tga textures/madm11/pitchshifter2.tga
		rgbGen wave sawtooth 0 1 0 .15
	
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25 
	}


	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/madm11/industrial_CD
{
	qer_editorimage textures/madm11/industrial_CD.tga
	q3map_lightimage textures/madm11/industrial_CD.tga
        q3map_surfacelight 100

	{
		map textures/madm11/industrial_CD.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/madm11/infotainment
{
	qer_editorimage textures/madm11/infotainment.tga
	q3map_lightimage textures/madm11/infotainment.tga
        q3map_surfacelight 100

	{
		map textures/madm11/infotainment.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/madm11/microwaved_cd_single_red
{
	qer_editorimage textures/madm11/microwaved_cd_single_red.tga
	q3map_lightimage textures/madm11/microwaved_cd_single_red.tga
        q3map_surfacelight 100

	{
		map textures/madm11/microwaved_cd_single_red.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/madm11/microwaved_cd2_single_blue
{
	qer_editorimage textures/madm11/microwaved_cd2_single_blue.tga
	q3map_lightimage textures/madm11/microwaved_cd2_single_blue.tga
        q3map_surfacelight 100

	{
		map textures/madm11/microwaved_cd2_single_blue.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/madm11/www_pitchshifter_com
{
	qer_editorimage textures/madm11/www_pitchshifter_com.tga
	q3map_lightimage textures/madm11/www_pitchshifter_com.tga
	q3map_surfacelight 100

	{
		animMap .15 textures/madm11/www_pitchshifter_com.tga textures/madm11/pitchshifter2.tga
		rgbGen wave sawtooth 0 1 0 .15
	
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 .15
		tcmod scroll 5 .25 
	}


	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 2 2
	}

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

// ***************************************
// New Shaders For "Team Deviant"
// ***************************************

textures/teamdeviant/td_bluebanner_fx
{      
        qer_editorimage textures/teamdeviant/td_bluebanner_fx.tga 	
	cull none
        surfaceparm alphashadow
        surfaceparm nomarks
	{
		map textures/teamdeviant/td_bluebanner_fx.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/teamdeviant/td_redbanner_fx
{      
        qer_editorimage textures/teamdeviant/td_redbanner_fx.tga 	
	cull none
        surfaceparm alphashadow
        surfaceparm nomarks
	{
		map textures/teamdeviant/td_redbanner_fx.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

